Skip to main content
GET
/
items
/
{itemId}
/
resources
List resources
curl --request GET \
  --url https://api.thehaystack.ai/v2/haystack/items/{itemId}/resources \
  --header 'Authorization: Bearer <token>'
{
  "resources": [
    {
      "id": 123,
      "itemId": 123,
      "title": "<string>",
      "subTitle": "<string>",
      "description": "<string>",
      "resourceTypeId": 123,
      "displayOrder": 123,
      "contentType": "file",
      "fileMimeType": "<string>",
      "fileSizeBytes": 123,
      "externalPlatform": "youtube",
      "externalPlatformId": "<string>",
      "thumbnailImgUrl": "<string>",
      "url": "<string>",
      "resourceType": {
        "id": 123,
        "name": "<string>"
      },
      "linkTarget": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123,
  "page": 123,
  "totalRecords": 123,
  "totalPages": 123,
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API token from the Haystack dashboard

Path Parameters

itemId
integer
required

Query Parameters

_limit
integer
default:50
Required range: x <= 100
_offset
integer
default:0
_orderBy
string[]

e.g. 'displayOrder,ASC'

_expand
enum<string>[]
Available options:
resourceType

Response

200 - application/json

Paginated list of resources for the item

resources
object[]
limit
integer
offset
integer
page
integer
totalRecords
integer
totalPages
integer
hasMore
boolean